Name:           perl-WebService-Dropbox
Version:        2.05
Release:        3%{?dist}
Summary:        Perl interface to Dropbox API
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/WebService-Dropbox/
Source0:        http://www.cpan.org/authors/id/A/AS/ASKADNA/WebService-Dropbox-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

# for running Build.PL
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Prereqs)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(utf8)

# Furl is optional, not yet available in Fedora
#BuildRequires:  perl(Furl) >= 2.19
BuildRequires:  perl(IO::Socket::SSL) >= 1.954
BuildRequires:  perl(HTTP::Message) >= 6.06
BuildRequires:  perl(JSON) >= 2.59
# optional, Fedora version is now 3.01
#BuildRequires:  perl(JSON::XS) >= 3.02
BuildRequires:  perl(LWP::Protocol::https) >= 6.04
BuildRequires:  perl(LWP::UserAgent) >= 6.05
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Net::OAuth) >= 0.28
BuildRequires:  perl(Software::License)
BuildRequires:  perl(URI) >= 1.60
# for tests
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Encode)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test::CPAN::Meta)
# not yet available in Fedora
#BuildRequires:  perl(Test::MinimumVersion::Fast) >= 0.04
BuildRequires:  perl(Test::Pod) >= 1.41
BuildRequires:  perl(Test::Spellunker) >= 0.2.7

# optional package, not yet available in Fedora
#Requires:       perl(Furl) >= 2.19
Requires:       perl(IO::Socket::SSL) >= 1.954
Requires:       perl(HTTP::Message) >= 6.06
Requires:       perl(JSON) >= 2.59
# optional, Fedora version is now 3.01
#Requires:       perl(JSON::XS) >= 3.02
Requires:       perl(LWP::Protocol::https) >= 6.04
Requires:       perl(LWP::UserAgent) >= 6.05
Requires:       perl(Net::OAuth) >= 0.28
Requires:       perl(Software::License)
Requires:       perl(URI) >= 1.60
Requires:       perl(HTTP::Request)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Obsoletes:      perl-Net-Dropbox-API <= 1.9

%description
This package provides a Perl interface to Dropbox API with following features:
- Support Dropbox v1 REST API
- Support Furl (Fast!!!)
- Streaming IO (Low Memory)
- Default URI Escape (The specified path is UTF-8 decoded string)

%prep
%setup -q -n WebService-Dropbox-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name .packlist -delete

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README.md example HOW_TO_DEVELOPMENT.md
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 Li Rui Bin <lirb@winhong.com> - 2.05-2
- Obsoletes perl-Net-Dropbox-API for smooth upgrade path (BZ#1368854)

* Sun Jul 17 2016 Robin Lee <cheeselee@fedoraproject.org> - 2.05-1
- Update to 2.05 (BZ#1357222)
- BR added: perl(IO::Socket::SSL), perl(Module::Build::Tiny),
  perl(Test::CPAN::Meta), perl(Test::Pod), perl(Test::Spellunker)
- Requires added: perl(IO::Socket::SSL)

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.22-6
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.22-3
- Perl 5.22 rebuild

* Sat Oct 18 2014 Robin Lee <cheeselee@fedoraproject.org> - 1.22-2
- BR added: perl(CPAN::Meta), perl(CPAN::Meta::Prereqs), perl(File::Basename),
  perl(File::Spec), perl(utf8), perl(Data::Dumper), perl(Encode),
  perl(File::Temp), perl(HTTP::Request), perl(IO::File)
- BR removed: perl(IO::Socket::SSL)
- Requires added: perl(HTTP::Request)
- Removed version restriction of perl BR
- Description updated
- Remove useless documents

* Sun Oct 12 2014 Robin Lee <cheeselee@fedoraproject.org> 1.22-1
- Specfile autogenerated by cpanspec 1.78.
